Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Sriram_M_Intel
Employee
93 Views

ERROR while installing ICC 11.1 on Ubuntu 12.04 LTS Precise Pangolin

Hi, I am wondering if there is any support for ICC 11.1 on Ubuntu 12.04 LTS. Since the Ubuntu distro is the latest, and ICC 11.1 is one generation old, I am not sure if it is still supported. I cannot use a different version of ICC for my project/ downgrade my distro at this point of time. That is why I posted this thread on the forum.
The error is least descriptive: Step no: 4 of 7 | Installation configuration - Missing Critical Pre-requisite -------------------------------------------------------------------------------- There is one or more critical unresolved issue which prevents installation to continue. You can fix it without exiting from the installation and re-check. Or you can quit from the installation, fix it and run the installation again. -------------------------------------------------------------------------------- Missing critical pre-requisite -- 32-bit libraries not found This product release requires the presence of 32-bit compatibility libraries when running on Intel 64 architecture systems. One or more of these libraries could not be found: libstdc++ libstdc++5 glibc libgcc Without these libraries, the compiler will not function properly. Please refer to Release Notes for more information.
I have verified that I have all possible 32-bit packages installed on my machine (since I upgraded to Ubuntu 12.04 from 11.04)
For example: I have:
dpkg -l | grep -e ia32 -e stdc++ -e glib -e libc -e libgcc ii ia32-libs 20090808ubuntu35 ia32 shared libraries - transitional package ii ia32-libs-multiarch:i386 20090808ubuntu35 Multi-arch versions of former ia32-libraries ii libc-bin 2.15-0ubuntu10 Embedded GNU C Library: Binaries ii libc-dev-bin 2.15-0ubuntu10 Embedded GNU C Library: Development binaries ii libc6 2.15-0ubuntu10 Embedded GNU C Library: Shared libraries ii libc6:i386 2.15-0ubuntu10 Embedded GNU C Library: Shared libraries ii libc6-dev 2.15-0ubuntu10 Embedded GNU C Library: Development Libraries and Header Files ii libc6-dev-i386 2.15-0ubuntu10 Embedded GNU C Library: 32-bit development libraries for AMD64 ii libc6-i386 2.15-0ubuntu10 Embedded GNU C Library: 32-bit shared librar ii libglib2.0-0 2.32.1-0ubuntu2 GLib library of C routines ii libglib2.0-0:i386 2.32.1-0ubuntu2 GLib library of C routines ii libglib2.0-bin 2.32.1-0ubuntu2 Programs for the GLib library ii libglib2.0-cil 2.12.10-2ubuntu4 CLI binding for the GLib utility library 2.12 ii libglib2.0-cil-dev 2.12.10-2ubuntu4 CLI binding for the GLib utility library 2.12 ii libglib2.0-data 2.32.1-0ubuntu2 Common files for GLib library ii libglib2.0-dev 2.32.1-0ubuntu2 Development files for the GLib library ii libglibmm-2.4-1c2a 2.32.0-0ubuntu1 C++ wrapper for the GLib toolkit (shared libraries) ii libstdc++5 1:3.3.6-25ubuntu1 The GNU Standard C++ Library v3 ii libstdc++5:i386 1:3.3.6-25ubuntu1 The GNU Standard C++ Library v3 ii libstdc++6 4.6.3-1ubuntu5 GNU Standard C++ Library v3 ii libstdc++6:i386 4.6.3-1ubuntu5 GNU Standard C++ Library v3 ii libstdc++6-4.4-dbg 4.4.7-1ubuntu2 GNU Standard C++ Library v3 (debugging files) ii libstdc++6-4.4-dev 4.4.7-1ubuntu2 GNU Standard C++ Library v3 (development files) ii libstdc++6-4.6-dev 4.6.3-1ubuntu5 GNU Standard C++ Library v3 (development files) ii libgcc1 1:4.6.3-1ubuntu5 GCC support library ii libgcc1:i386 1:4.6.3-1ubuntu5 GCC support library ii libgcc1-dbg 1:4.6.3-1ubuntu5 GCC support library (debug symbols) ii libgcc1-dbg:i386 1:4.6.3-1ubuntu5 GCC support library (debug symbols)
If some developer can have a look at it during free time, it would be of great help. Since Ubuntu 12.04 has long term support, it would be very valuable to fix this issue.
Thanks
Ram
SSG/DPD/ECDL
0 Kudos
4 Replies
aazue
New Contributor I
93 Views

Hi
Maybe require package ia32-libs-dev ??
Regards
aazue
New Contributor I
93 Views

Hi
Maybe require package ia32-libs-dev ??


More complete ...
I have to my hand is Debian but are aproximately same with Ubuntu

ii ia32-libs 20120102 ia32 shared libraries for use on amd64 and ia64 systems
ii ia32-libs-dev 20120102 ia32 development files for use on amd64 and ia64 systems
ii klibc-utils 1.5.20-1+squeeze1 small utilities built with klibc for early boot
ii lib32stdc++6 4.4.5-8 The GNU Standard C++ Library v3 (32 bit Version)
ii libc-bin 2.11.3-2 Embedded GNU C Library: Binaries
ii libc-dev-bin 2.11.3-2 Embedded GNU C Library: Development binaries
ii libc6 2.11.3-2 Embedded GNU C Library: Shared libraries
ii libc6-dev 2.11.3-2 Embedded GNU C Library: Development Libraries and Header Files
ii libc6-dev-i386 2.11.3-2 Embedded GNU C Library: 32-bit development libraries for AMD64
ii libc6-i386 2.11.3-2 Embedded GNU C Library: 32-bit shared libraries for AMD64
ii libcairo2 1.8.10-6 The Cairo 2D vector graphics library
ii libcairo2-dev 1.8.10-6 Development files for the Cairo 2D graphics library
ii libcap-ng0 0.6.4-1 An alternate posix capabilities library
ii libcap2 1:2.19-3 support for getting/setting POSIX.1e capabilities
ii libcdt4 2.26.3-5 rich set of graph drawing tools - cdt library
ii libcomerr2 1.41.12-4stable1 common error description library
ii libcompfaceg1 1:1.5.2-5 Compress/decompress images for mailheaders, libc6 runtime
ii libconsole 1:0.2.3dbs-69.1 Shared libraries for Linux console and font manipulation
ii libcroco3 0.6.2-1 a generic Cascading Style Sheet (CSS) parsing and manipulation toolkit
ii libcups2 1.4.4-7+squeeze1 Common UNIX Printing System - Core library
ii libcupsimage2 1.4.4-7+squeeze1 Common UNIX Printing System - Raster image library
ii libcurl3 7.21.0-2.1+squeeze1 Multi-protocol file transfer library (OpenSSL)
ii libcurl3-gnutls 7.21.0-2.1+squeeze1 Multi-protocol file transfer library (GnuTLS)
ii libcurl4-openssl-dev 7.21.0-2.1+squeeze1 Development files and documentation for libcurl (OpenSSL)
ii libcwidget3 0.5.16-3 high-level terminal interface library for C++ (runtime files)
ii libdbus-glib-1-2 0.88-2.1 simple interprocess messaging system (GLib-based shared library)
ii libgcc1 1:4.4.5-8 GCC support library
ii libglib2.0-0 2.24.2-1 The GLib library of C routines
ii libglib2.0-data 2.24.2-1 Common files for GLib library
ii libglib2.0-dev 2.24.2-1 Development files for the GLib library
ii libklibc 1.5.20-1+squeeze1 minimal libc subset for use with initramfs
ii liblocale-gettext-perl 1.05-6 Using libc functions for internationalization in Perl
ii libpthread-stubs0 0.3-2 pthread stubs not provided by native libc
ii libpthread-stubs0-dev 0.3-2 pthread stubs not provided by native libc, development files
ii libstdc++6 4.4.5-8 The GNU Standard C++ Library v3
ii libstdc++6-4.4-dev 4.4.5-8 The GNU Standard C++ Library v3 (development files)
ii linux-libc-dev 2.6.32-41 Linux support headers for userspace development

Regards
Hubert_H_Intel
Employee
93 Views

What you need to install for ICC11.1 is the compatibility library libstdc++5 and if you develop 32-bit apps the 32-bit libraries, for example:
$ sudo apt-get install libstdc++5
$ sudo apt-get install ia32-libs
TimP
Black Belt
93 Views

For the old 64-bit compilers, you will need both the 32- and 64-bit libstdc++-5 even if you develop for 64-bit mode only. It's certainly easier to use a version of the compiler which is set up for recent versions of your OS.
Reply